%define debug_package	%{nil}
%define CurrentPlatform %(eval "echo `uname -m`")

Summary:	Meta package that includes all of the CERT Forensics Tools

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		CERT-Forensics-Tools
Version:	1.0
Release:	67%{?dist}

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}
Requires:	2hash
Requires:	autopsy
Requires:	dcfldd
Requires:	eindeutig
Requires:	foremost
Requires:	galleta
Requires:	grokevt
Requires:	md5deep
Requires:	pasco
Requires:	ptfinder
Requires:	reglookup
Requires:	rifiuti
Requires:	dd_rescue
Requires:	ssdeep
Requires:	testdisk
Requires:	vinetto
Requires:	Volatility
Requires:	Volatility-community-plugins
Requires:	scalpel
Requires:	tcpxtract
Requires:	wireshark
Requires:	wireshark-gnome
Requires:	fatback
Requires:	sleuthkit
Requires:	splunk
Requires:	libpst
Requires:	ddrescue
Requires:	dc3dd
Requires:	mac-robber
Requires:	mount_ewf
Requires:	sfdumper
Requires:	fundl
Requires:	cryptcat
Requires:	guymager
Requires:	libguytools
Requires:	nmap
Requires:	nmap-frontend
%if 0%{?fedora} >= 9 && 0%{?fedora} < 16
Requires:	memdump
%endif
%if 0%{?fedora} > 0
Requires:	aimage
%endif
Requires:	afftools
%if 0%{?fedora} >= 19
Obsoletes:	libewf-tools
Requires:	ewftools
%else
Obsoletes:	ewftools
Requires:	libewf-tools >= 20111011
%endif
Requires:	mdbtools
Requires:	antiword
Requires:	perl-Image-ExifTool
Requires:	p7zip
%if 0%{?fedora} >= 9
Requires:	safecopy
%endif
Requires:	poppler-utils
Requires:	stegdetect
Requires:	regripper
Requires:	log2timeline
Requires:	unrar
Requires:	rar
Requires:	missidentify
Requires:	rifiuti2
%if 0%{?rhel} == 7 || 0%{?centos} == 7
Requires: 	hexedit
%else
Requires:	ghex
%endif
%if 0%{?fedora} >= 14
Requires:	bless bless-doc
%endif
%if 0%{?fedora} > 9 && 0%{?fedora} < 18
Requires:	ext3grep 
%endif
Requires:	gparted
Requires:	scrounge-ntfs
Requires:	hachoir-core hachoir-metadata hachoir-parser hachoir-regex hachoir-subfile hachoir-urwid hachoir-wx
Requires:	ssldump socat
Requires:	etherape
%if 0%{?fedora} > 9 && 0%{?fedora} < 18
Requires:	gpart
%endif
Requires:	ptk
Requires:	silk-analysis silk-common silk-devel silk-flowcap silk-rwflowappend silk-rwflowpack silk-rwpollexec silk-rwreceiver silk-rwsender analysis-pipeline prism
Requires:	yaf
Obsoletes:	rayon
Requires:	DropboxReader
%if 0%{?rhel} != 5 && 0%{?centos} != 5
Requires:	dff
%endif
Requires:	ataraw
Requires:	bloom frag_find
Requires:	bulk_extractor bulk_extractor-stoplist
Obsoletes:	fiwalk
Obsoletes:	BEViewer
Requires:	jafat
Requires:	tln_tools
Requires:	xmount
Requires:	tcpflow
%if 0%{?rhel} != 5
Requires:	registrydecoder
%endif
%if 0%{?fedora} >= 13 || 0%{?rhel} >= 6
Requires:	xplico
%endif
%if 0%{?fedora} >= 13 || 0%{?rhel} >= 6
Requires:	snort
Requires:	snort-sample-rules
%endif
%if 0%{?fedora} >= 14 || 0%{?centos} >= 7
Requires:	shellbags
%endif
%if 0%{?fedora} >= 14 || 0%{?centos} >= 7
Requires:	shellbags
%endif
%if 0%{?centos} == 6
%ifarch x86_64
Requires:	shellbags
%endif
%endif
Requires:	KHracker
Requires:	libvshadow-tools
%if 0%{?fedora} > 0
Requires:	fred
%endif
%if 0%{?fedora} >= 14 || 0%{?rhel} >= 6
Requires:	recoll
%endif
Requires:	fmem-kernel-modules-common fmem-kernel-modules
Requires:	lime-kernel-modules-common lime-kernel-modules
%if 0%{?fedora} >= 17
Requires:	kernel-modules-extra
%ifarch %{ix86}
Requires:	kernel-PAE-modules-extra
%endif
%endif
Requires:	disktype
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 6
Requires:	exfat-utils
Obsoletes:	fuse-exfat
%else
Requires:	fuse-exfat exfat-utils
%endif
%if 0%{?fedora} >= 14 || 0%{?rhel} >= 6
Requires:	partclone
%endif
Requires:	libbde-tools
Requires:	libfvde-tools
Requires:	libvhdi-tools
Requires:	analyzeMFT
Requires:	libpff-tools
%if 0%{?fedora} > 0 || 0%{?rhel} >= 6
Requires:	kracked
%endif
%if 0%{?fedora} >= 17 && 0%{?fedora} <= 20
Requires:	snarf
%endif
%if 0%{?rhel} >= 6 && 0%{?rhel} <= 7
Obsoletes:	snarf
%endif
Requires:	super_mediator
Requires:	vmfs-tools
Requires:	hdparm
Requires:	binplist
Requires:	libregf-tools
Requires:	libmsiecf-tools
Requires:	libevt-tools
Requires:	liblnk-tools
Requires:	libolecf-tools
%if 0%{?rhel} >= 6
Requires:	libevtx-tools
%ifarch x86_64
Requires:	plaso
Requires:	silk-ipa
%endif
%endif
%if 0%{?fedora} >= 17
Requires:	libevtx-tools
Requires:	plaso
Requires:	silk-ipa
%endif
%if 0%{?centos} >= 6 || 0%{?fedora} >= 17
Requires:	ddrutility
Requires:	undbx
Requires:	perl-Parse-Evtx-tools
%endif
Requires:	fcrackzip
Requires:	libesedb-tools
Requires:	libqcow-tools
Requires:	libsmdev-tools
Requires:	libsmraw-tools
Requires:	libvmdk-tools
%if 0%{?centos} != 5
Requires:	bokken
%endif
Requires:	hivex
%if 0%{?fedora} >= 17 || 0%{?centos} > 7
Requires:	libluksde-tools
%endif
%if 0%{?fedora} >= 17
Requires:	ddrescueview
%endif

%description
This package includes all of the CERT Forensics tools

%prep
%setup -n %{name}

%build

%install

%clean

%files
%doc README.txt

%changelog
* Mon Nov 30 2015 Lawrence Rogers <lrr@cert.org> 1.0-67
* Release 1.0-67
	Ghex replaced with hexedit in CentOS 7.

* Mon Nov 16 2015 Lawrence Rogers <lrr@cert.org> 1.0-66
* Release 1.0-66
	Volatility 2.5 now has a companion package Volatility-community-plugins which is packaged
		separately since it is likely to change more often than Volatility.

* Sun Aug 30 2015 Lawrence Rogers <lrr@cert.org> 1.0-65
* Release 1.0-65
	exfat-utils now includes mount.exfat-fuse which obsoletes fuse-exfat for all but EL5.

* Thu Jul  9 2015 Lawrence Rogers <lrr@cert.org> 1.0-64
* Release 1.0-64
	Snarf can no longer be installed on CentOS 7

* Wed Jul  1 2015 Lawrence Rogers <lrr@cert.org> 1.0-63
* Release 1.0-63
	Bokken is now available for all systems except CentOS/RHEL 5
	Removed: LogAnalysisToolKit
	Removed: dino

* Thu Mar 26 2015 Lawrence Rogers <lrr@cert.org> 1.0-62
* Release 1.0-62
	Added: hivex
	Added: shellbags for CentOS 6 (x86_64) and CentOS 7
	Added: libluksde-tools
	Added: ddrescueview (really)

* Sat Dec 13 2014 Lawrence Rogers <lrr@cert.org> 1.0-61
* Release 1.0-61
	Removed: snarf for Fedora 21
	Added: ddrescueview

* Tue Aug 26 2014 Lawrence Rogers <lrr@cert.org> 1.0-60
* Release 1.0-60
	Added: libesedb-tools
	Added: libqcow-tools
	Added: libsmdev-tools
	Added: libsmraw-tools
	Added: libvmdk-tools
	Added: bokken, but not for CentOS/RHEL 5

* Mon Jun 09 2014 Lawrence Rogers <lrr@cert.org> 1.0-59
* Release 1.0-59
	Added: lime-kernel-modules-common
	Added: lime-kernel-modules
	Added: fmem-kernel-modules-common
	Added: fmem-kernel-modules, which obsoletes fmem-kernel-objects

* Wed Mar 26 2014 Lawrence Rogers <lrr@cert.org> 1.0-58
* Release 1.0-58
	Added: analyzeMFT
	Added: libregf-tools
	Added: libmsiecf-tools
	Added: libevt-tools
	Added: libevtx-tools
	Added: liblnk-tools
	Added: libolecf-tools
	Added: plaso (fedora 17 and beyond, and CentOS/RHEL 6.5 for x86_64 only)
	Added: ddrutility (not CentOS/RHEL 5)
	Added: fcrackzip
	Added: undbx (not CentOS/RHEL 5)
	Added: silk-ipa (fedora 17 and beyond, and CentOS/RHEL 6.5 for x86_64 only)

* Mon Jan 20 2014 Lawrence Rogers <lrr@cert.org> 1.0-57
* Release 1.0-57
	Added: binplist

* Wed Dec 04 2013 Lawrence Rogers <lrr@cert.org> 1.0-56
* Release 1.0-56
	Xplico now installed on CentOS/RHEL >= 6

* Sat Aug 03 2013 Lawrence Rogers <lrr@cert.org> 1.0-55
* Release 1.0-55
	For Fedora 19, use ewftools.
	For all else, use libewf-tools and obsolete ewftools.

* Mon Jun 24 2013 Lawrence Rogers <lrr@cert.org> 1.0-54
* Release 1.0-54
	Added: libbde-tools
	Added: libfvde-tools
	Added: libvhdi-tools
	Obsoletes: rayon (and replaces it with netsa-python)

* Fri Apr 12 2013 Lawrence Rogers <lrr@cert.org> 1.0-53
* Release 1.0-53
	Added: frag_find

* Fri Feb 1 2013 Lawrence Rogers <lrr@cert.org> 1.0-52
* Release 1.0-52
	Added: exfat-utils

* Thu Jan 31 2013 Lawrence Rogers <lrr@cert.org> 1.0-51
* Release 1.0-51
	Remove: gpart and ext3grep from Fedora 18 and beyond

* Tue Nov 27 2012 Lawrence Rogers <lrr@cert.org> 1.0-50
* Release 1.0-50
	Obsoletes: BEViewer, as it is now packaged with bulk_extractor

* Thu Nov 15 2012 Lawrence Rogers <lrr@cert.org> 1.0-49
* Release 1.0-49
	Added: fuse-exfat
	Added: partclone

* Thu Nov 15 2012 Lawrence Rogers <lrr@cert.org> 1.0-48
* Release 1.0-48
	Package is now architecture-specific since the kernel-PAE-modules-extra is for the x86 architecture only.

* Wed Nov 14 2012 Lawrence Rogers <lrr@cert.org> 1.0-47
* Release 1.0-47
	Added kernel-modules-extra for Fedora 17 primary to get a ufs file system driver.
	Also adds PAE modules for X86 architecture.
	Added disktype.

* Wed Oct 10 2012 Lawrence Rogers <lrr@cert.org> 1.0-46
* Release 1.0-46
	Added fmem-kernel-objects

* Mon Sep 10 2012 Lawrence Rogers <lrr@cert.org> 1.0-45
* Release 1.0-45
	Added recoll for all systems except CentOS/RHEL 5.

* Tue Sep 4 2012 Lawrence Rogers <lrr@cert.org> 1.0-44
* Release 1.0-44
	Added prism for all systems where SiLK is installed.

* Wed Aug 22 2012 Lawrence Rogers <lrr@cert.org> 1.0-43
* Release 1.0-43
	Added BEViewer for all systems where bulk_extractor is installed.
	Added analysis-pipeline where SiLK is installed.

* Fri Jul 20 2012 Lawrence Rogers <lrr@cert.org> 1.0-42
* Release 1.0-42
	Added bless and bless-doc, but not for CentOS/RHEL

* Mon Jul 9 2012 Lawrence Rogers <lrr@cert.org> 1.0-41
* Release 1.0-41
	Added fred, but not for CentOS/RHEL

* Tue Jul 3 2012 Lawrence Rogers <lrr@cert.org> 1.0-40
* Release 1.0-40
	Added libvshadow-tools

* Wed Jun 27 2012 Lawrence Rogers <lrr@cert.org> 1.0-39
* Release 1.0-39
	To be consistent with RedHat/Fedora:
	* Removed nmap-update, nping, ncat, and zenmap
	* Added nmap-frontend
	
* Wed Jun 27 2012 Lawrence Rogers <lrr@cert.org> 1.0-38
* Release 1.0-38
	No changes

* Wed May 23 2012 Lawrence Rogers <lrr@cert.org> 1.0-37
* Release 1.0-37
	* Added nmap-update, nping, and ncat

* Wed May 23 2012 Lawrence Rogers <lrr@cert.org> 1.0-36
* Release 1.0-36
	* Added zenmap
	* Obsoletes nmap-frontend

* Thu Jan 12 2012 Lawrence Rogers <lrr@cert.org> 1.0-36
* Release 1.0-36
	* Added KHracker

* Mon Jan 9 2012 Lawrence Rogers <lrr@cert.org> 1.0-35
* Release 1.0-35
	* Added tcpflow
	* Added registrydecoder
	* Changed xplico for Fedora 13 and beyond
	* Added snort for Fedora 13 and beyond, and CentOS/RHEL 6 and beyond
	* Added snort-sample-rules for Fedora 13 and beyond, and CentOS/RHEL 6 and beyond
	* Added shellbags

* Tue Nov 15 2011 Lawrence Rogers <lrr@cert.org> 1.0-34
* Release 1.0-34
	* Memdump does not compile for kernel-3.X

* Tue Oct 18 2011 Lawrence Rogers <lrr@cert.org> 1.0-33
* Release 1.0-33
	* Requires libewf-tools newer than 20111011

* Tue Oct 11 2011 Lawrence Rogers <lrr@cert.org> 1.0-32
* Release 1.0-32
	* Obsoletes ewftools and replaces them with libewf-tools

* Thu Aug 18 2011 Lawrence Rogers <lrr@cert.org> 1.0-31
* Release 1.0-31
	* Added ataraw
	* Added bloom
	* Added bulk_extractor
	* Added bulk_extractor-stoplist
	* Added fiwalk
	* Added jafat
	* Added perl-Parse-Evtx
	* Added tln_tools
	* Added xmouint

* Wed Aug 10 2011 Lawrence Rogers <lrr@cert.org> 1.0-30
* Release 1.0-30
	* Added dff for all but Fedora 12

* Thu Jun 23 2011 Lawrence Rogers <lrr@cert.org> 1.0-29
* Release 1.0-29
	* Added the DropboxReader command line utilities

* Tue Mar 22 2011 Lawrence Rogers <lrr@cert.org> 1.0-28
* Release 1.0-28
	* Added the silk tool suite and yaf to the repository

* Fri Mar 11 2011 Lawrence Rogers <lrr@cert.org> 1.0-27
* Release 1.0-27
	* Added ptk to the repository

* Thu Feb 24 2011 Lawrence Rogers <lrr@cert.org> 1.0-26
* Release 1.0-26
	* Made back to a noarch package and added gpart after adding i686 package to CERT repo.

* Thu Feb 24 2011 Lawrence Rogers <lrr@cert.org> 1.0-25
* Release 1.0-25
	* Made architecture specific because of gpart

* Wed Feb 23 2011 Lawrence Rogers <lrr@cert.org> 1.0-24
* Release 1.0-24
	* Added: xplico

* Mon Jan 31 2011 Lawrence Rogers <lrr@cert.org> 1.0-23
* Release 1.0-23
	* Changed: gpart only for x86 architectures

* Mon Jan 17 2011 Lawrence Rogers <lrr@cert.org> 1.0-22
* Release 1.0-22
	* Added: gpart

* Mon Jan 10 2011 Lawrence Rogers <lrr@cert.org> 1.0-21
* Release 1.0-21
	* Added: nmap-frontend etherape

* Wed Nov 17 2010 Lawrence Rogers <lrr@cert.org> 1.0-20
* Release 1.0-20
	* Added: ssldump socat

* Wed Aug 25 2010 Lawrence Rogers <lrr@cert.org> 1.0-19
* Release 1.0-19
	* Removed: browser_newtab

* Tue Aug 17 2010 Lawrence Rogers <lrr@cert.org> 1.0-18
* Release 1.0-18
	* Added: hachoir-core hachoir-metadata hachoir-parser hachoir-regex hachoir-subfile hachoir-urwid hachoir-wx

* Mon Aug 16 2010 Lawrence Rogers <lrr@cert.org> 1.0-17
* Release 1.0-17
	* Added: ext3grep, gparted, scrouge-ntfs

* Thu Jul 22 2010 Lawrence Rogers <lrr@cert.org> 1.0-16
* Release 1.0-16
	* Added: ghex hex editor

* Mon Apr 05 2010 Lawrence Rogers <lrr@cert.org> 1.0-14
* Release 1.0-14
	* Added: Replaced rifiuti with rifiuti2

* Fri Apr 02 2010 Lawrence Rogers <lrr@cert.org> 1.0-13
* Release 1.0-13
	* Added: stegdetect regripper log2timeline unrar rar missidentify for all Fedora

* Fri Apr 02 2010 Lawrence Rogers <lrr@cert.org> 1.0-12
* Release 1.0-12
	* Added: poppler-utils for all of Fedora

* Wed Mar 31 2010 Lawrence Rogers <lrr@cert.org> 1.0-11
* Release 1.0-11
	* Added: aimage
	* Added: ewftools
	* Added: mdbtools
	* Added: antiword
	* Added: perl-Image-ExifTools
	* Added: p7zip for all Fedora
	* Added: safecopy for Fedora 9 and above.
